%define fname	keyring

Name:		python-keyring
Summary:	Python library to access the system keyring service
Version:	8.5.1
Release:	%mkrel 1
Source0:	https://pypi.python.org/packages/source/k/keyring/%{fname}-%{version}.tar.xz
URL:		http://pypi.python.org/pypi/keyring
Group:		Development/Python
License:	Python
BuildRequires:	lib64python-devel
BuildRequires:	python-setuptools
BuildRequires:	python-gobject3
BuildRequires:	lib64girepository-devel
	
%description
The Python keyring lib provides a easy way to access the system keyring
service from python. It can be used in any application that needs safe
password storage.

This package only provides file-based pseudo-keyrings. To interface with
gnome-keyring or KWallet, please install one of python-keyring-gnome or
python-keyring-kwallet.

%package -n python3-keyring
Summary:	Python 3 library to access the system keyring service
Group:		Development/Python
BuildRequires:	lib64python3-devel
BuildRequires:	python3-setuptools
Requires:	python3-gobject3

%description -n python3-keyring
The Python 3 keyring lib provides a easy way to access the system keyring
service from python 3. It can be used in any application that needs safe
password storage.

This package only provides file-based pseudo-keyrings. To interface with
gnome-keyring or KWallet, please install one of python3-keyring-gnome or
python3-keyring-kwallet.

%prep
%setup -q -n %{fname}-%{version}
rm -rf %{fname}.egg-info
cp -a . %{py3dir}

%build
%py2_build

pushd %{py3dir}
%py3_build
popd

%install
pushd %{py3dir}
%py3_install
mv %{buildroot}/%{_bindir}/keyring %{buildroot}/%{_bindir}/python3-keyring
popd

%py2_install

# we don't ship tests they need a test environment
rm -rf %{buildroot}/%{python3_sitelib}/%{fname}/tests/
rm -rf %{buildroot}/%{python_sitelib}/%{fname}/tests/

%files
%doc README.rst CHANGES.rst
%{python2_sitelib}/*egg-info
%{python2_sitelib}/%{fname}
%{_bindir}/keyring

%files -n python3-keyring
%doc README.rst CHANGES.rst
%{python3_sitelib}/*egg-info
%{python3_sitelib}/%{fname}
%{_bindir}/python3-keyring


%changelog
* Sun Jun 04 2017 bb2 <bb2> 8.5.1-1pclos2017
- update for backintime for that oddball user

